import { Module } from "vuex";
import { AppState } from "@/store/index";

const namespaced: boolean = true;

export interface RoomState {
	in_room: boolean;
	room: string;
}

const state: RoomState = {
	in_room: false,
	room: ""
};

export const room: Module<RoomState, AppState> = {
	namespaced,
	state
};
